pandas import isn't working.

Completed

I've got an odd problem on my mac. I recently upgraded to High Sierra and installed Rider and PyCharm using my subscription licence. PyCharm is correctly registered. I used both pip and pip3 to install various packages. When I use pip list or pip3 list, pandas is showing in each. The version numbers are slightly different but to all intents pandas appears to be ready for use.

I tried using an import in a code file, import pandas but when I do, pandas is immediately "squigglified/squiggled" with a message saying No module named pandas.

The project interpreter appears to be valid (3.6) and pandas doesn't appear anywhere in the intellisense list. If I try and re-pip pandas it tells me:

Requirement already satisfied: pandas in /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages

Can anybody tell me what the problem might be with my import?

Thanks. Peter.

1 comment

Ignore. I found a solution. I changed my interpreter to use the anaconda one and pandas is now visible. Yaaaaay...

0

Please sign in to leave a comment.